Skip to main content
GET
/
api
/
external
/
v2
/
subscription-groups
Get all subscription groups
curl --request GET \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-groups \
  --header 'X-API-Key: <x-api-key>'
[
  {
    "id": 123,
    "productCount": 123,
    "productVariantCount": 123,
    "frequencyCount": 123,
    "frequencyName": "<string>",
    "groupName": "<string>",
    "productIds": "<string>",
    "discountOffer": 123,
    "discountEnabled": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

api_key
string

API Key (Deprecated - Use X-API-Key header instead)

Response

Successfully retrieved subscription groups

id
integer<int64>
productCount
integer<int64>
productVariantCount
integer<int64>
frequencyCount
integer<int32>
frequencyInterval
enum<string>
Available options:
DAY,
WEEK,
MONTH,
YEAR
frequencyName
string
groupName
string
productIds
string
discountOffer
number<double>
discountType
enum<string>
Available options:
PERCENTAGE,
FIXED,
PRICE
discountEnabled
boolean